Execute regex-validator evaluator
curl --request POST \
--url https://api.traceloop.com/v2/evaluators/regex-validator/execute \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"text": "user@example.com"
},
"config": {
"case_sensitive": true,
"dot_include_nl": true,
"multi_line": true,
"regex": ".*",
"should_match": true
}
}
'import requests
url = "https://api.traceloop.com/v2/evaluators/regex-validator/execute"
payload = {
"input": { "text": "user@example.com" },
"config": {
"case_sensitive": True,
"dot_include_nl": True,
"multi_line": True,
"regex": ".*",
"should_match": True
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {text: 'user@example.com'},
config: {
case_sensitive: true,
dot_include_nl: true,
multi_line: true,
regex: '.*',
should_match: true
}
})
};
fetch('https://api.traceloop.com/v2/evaluators/regex-validator/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"is_valid_regex": true
}{
"error": "error message"
}{
"error": "error message"
}Evaluators
Execute regex-validator evaluator
Validate text against a regex pattern
Request Body:
input.text(string, required): The text to validate against a regex patternconfig.regex(string, optional): The regex pattern to match againstconfig.should_match(bool, optional): Whether the text should match the regexconfig.case_sensitive(bool, optional): Case-sensitive matchingconfig.dot_include_nl(bool, optional): Dot matches newlinesconfig.multi_line(bool, optional): Multi-line mode
POST
/
v2
/
evaluators
/
regex-validator
/
execute
Execute regex-validator evaluator
Was this page helpful?
⌘I

